const jwt = require('jsonwebtoken');

module.exports.verifyToken = (req, res, next) => {
    if (!req.headers.authorization) {
        return res.status(401).send('Unauthorized request!')
    } else {
        let token = req.headers.authorization.split(' ');
        if (!token) {
            return res.status(401).send('Unauthorized request!')
        }
        let payload = jwt.verify(token[1], 'secretKey');
        if (!payload) {
            return res.status(401).send('Unauthorized request!')
        }
        next();
    }

}