require('../data/database');
const express = require('express');
const router = express.Router();
const userModel = require('../models/User');
const tokenValidator = require('../helpers/token-validation');

router.get('/', (req, res) => {
    res.send('HELLO events');
})

router.get('/guest', (req, res) => {
    let events = [{
            "id": "1",
            "name": "ENED'S PARTY",
            "description": "end of course",
            "date": "20/12/2020"
        },
        {
            "id": "2",
            "name": "hannuka",
            "description": "end of course",
            "date": "20/12/2020"
        }
    ]
    res.json(events);
})

router.get('/special', tokenValidator.verifyToken, (req, res) => {
    let events = [{
            "id": "1",
            "name": "party",
            "description": "end of course",
            "date": "20/12/2020"
        },
        {
            "id": "2",
            "name": "bbq",
            "description": "end of course",
            "date": "20/12/2020"
        }
    ]
    res.json(events);
})

module.exports = router;