import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService } from '../auth.service';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

  constructor(private AuthService:AuthService, private router:Router) { }

  ngOnInit(): void {
  }
  msg:string;
  userDetails:any = {
  };
  loginUser(){
    if(this.userDetails.email && this.userDetails.password) {
      this.AuthService.login(this.userDetails).subscribe(res => {
        localStorage.setItem('token', res.token)
        this.router.navigate(['/special'])
      }, err => {
        if(err) {
          this.msg = 'LOGIN FAILED!'
        }
      });
    }
    else{
      this.msg = "all Fields are required!"
    }

  }

}
