import { Component, OnInit } from '@angular/core';
import { AuthService } from '../auth.service';

@Component({
  selector: 'app-register',
  templateUrl: './register.component.html',
  styleUrls: ['./register.component.css']
})
export class RegisterComponent implements OnInit {
  msg: string;
  userDetails: any = {};
  constructor(private auth: AuthService) { }

  registerUser() {
    if (this.userDetails.email && this.userDetails.password) {
      this.auth.register(this.userDetails).subscribe(res => {
        debugger;
        if (res) {
          this.msg = "SUCCESS REGISTER!"

        }
      },
      err => {
          if (err) {
            this.msg = "error register"
          }
        }
      )

    }
    else{
      this.msg = "All fields are required!"
    }

  }
  ngOnInit(): void {
  }

}
